<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

?>
<div id="help-background">
	<span><?php _e( 'Click anywhere to close overlay', 'woo-image-seo' ) ?></span>

	<span><?php _e( 'Click anywhere to close overlay', 'woo-image-seo' ) ?></span>
</div>

<div id="force-help" class="postbox postbox--help">
	<h2><?php _e( 'Force attributes', 'woo-image-seo' ) ?></h2>
	<strong><?php _e( 'If the setting is disabled', 'woo-image-seo' ) ?>:</strong><br>
	<?php _e( 'The plugin will only set the attribute to images that don\'t have one.', 'woo-image-seo' ) ?><br>
	<?php _e( 'This is useful if you wish to set your own attributes for individual images.', 'woo-image-seo' ) ?><br>
	<hr>
	<strong><?php _e( 'If the setting is enabled', 'woo-image-seo' ) ?>:</strong><br>
	<?php _e( 'The plugin will set the attribute to all images, even if they already have one.', 'woo-image-seo' ) ?><br>
	<?php _e( 'This is especially useful for the "title" attribute because WordPress generates title attributes automatically using the file name.', 'woo-image-seo' ) ?><br>
	<hr>
	<strong><?php _e( 'Example', 'woo-image-seo' ) ?>:</strong><br>
	<?php _e( 'You upload an image with the file name "pic3.jpg".', 'woo-image-seo' ) ?><br>
	<?php _e( 'WordPress will automatically set a title attribute of "pic3".', 'woo-image-seo' ) ?><br>
	<img src="<?php echo WOO_IMAGE_SEO['assets_url'] . 'force-help.png?version=' . WOO_IMAGE_SEO['version'] ?>">
</div>

<div id="attribute-builder-help" class="postbox postbox--help">
	<h2><?php _e( 'Attribute builder', 'woo-image-seo' ) ?></h2>
	<?php _e( 'The attribute builder lets you change how the image attributes are generated.', 'woo-image-seo' ) ?><br>
	<?php _e( 'You can use the three dropdown fields to include the product\'s name, first category, first tag, or a custom text in any order.', 'woo-image-seo' ) ?><br>
	<hr>
	<strong><?php _e( 'Example', 'woo-image-seo' ) ?>:</strong><br>
	<?php _e( 'Let\'s say we have a product called "Amazing Shirt", with main category "Movie-Inspired Clothing".', 'woo-image-seo' ) ?><br>
	<?php _e( 'By default, the plugin will build the image attribute using only the Product Name.', 'woo-image-seo' ) ?><br>
	<?php _e( 'If you want to include the product\'s category, you can use the following configuration', 'woo-image-seo' ) ?>:<br>
	<img src="<?php echo WOO_IMAGE_SEO['assets_url'] . 'attribute-builder-help-1.png?version=' . WOO_IMAGE_SEO['version'] ?>"><br>
	<?php _e( 'This will result in the attribute "Amazing Shirt Movie-Inspired Clothing".', 'woo-image-seo' ) ?><br>
	<hr>
	<?php _e( 'The Custom Text option allows you to enter your own texts.', 'woo-image-seo' ) ?><br>
	<?php _e( 'For example, the following configuration will result in "Amazing Shirt Movie-Inspired Clothing Free Shipping"', 'woo-image-seo' ) ?>:<br>
	<img src="<?php echo WOO_IMAGE_SEO['assets_url'] . 'attribute-builder-help-2.png?version=' . WOO_IMAGE_SEO['version'] ?>">
</div>

<div id="count-help" class="postbox postbox--help">
	<h2><?php _e( 'Add image number', 'woo-image-seo' ) ?></h2>
	<strong><?php _e( 'If the setting is enabled', 'woo-image-seo' ) ?>:</strong><br>
	<?php _e( 'The plugin will add the current image\'s number (index) at the end of the attribute.', 'woo-image-seo' ) ?><br>
	<?php _e( 'This is useful if you wish to avoid duplicate attributes on the page.', 'woo-image-seo' ) ?><br>
	<?php _e( 'Note that the first image won\'t be affected.', 'woo-image-seo' ) ?><br>
	<hr>
	<strong><?php _e( 'Example', 'woo-image-seo' ) ?>:</strong><br>
	<?php _e( 'Let\'s say we have a product with four images called "Amazing Shirt" and the Attribute Builder is configured to use the Product Name.', 'woo-image-seo' ) ?><br>
	<img src="<?php echo WOO_IMAGE_SEO['assets_url'] . 'attribute-builder-default.png?version=' . WOO_IMAGE_SEO['version'] ?>"><br>
	<?php _e( 'The first image will have the attribute "Amazing Shirt".', 'woo-image-seo' ) ?><br>
	<?php _e( 'The second image will have the attribute "Amazing Shirt 2".', 'woo-image-seo' ) ?><br>
	<?php _e( 'The third image will have the attribute "Amazing Shirt 3".', 'woo-image-seo' ) ?><br>
	<?php _e( 'The fourth image will have the attribute "Amazing Shirt 4".', 'woo-image-seo' ) ?><br>
</div>

<div id="crypto-donation" class="postbox postbox--help">
	<h2><?php _e( 'Crypto donation', 'woo-image-seo' ) ?></h2>
	<i class="cc BTC-alt"></i>
	<p>
		<strong>Bitcoin (BTC)</strong>
		<code>19f8CcJjNX11kQS2aKPmrTjm3kfp5ucuvh</code>
	</p>
	<hr>
	<i class="cc ETH-alt"></i>
	<p>
		<strong>Ethereum (ETH)</strong>
		<code>0x5252b7aBBc1F985c638caF2BD6c532bD8e53b118</code>
	</p>
	<hr>
	<i class="cc LTC-alt"></i>
	<p>
		<strong>Litecoin (LTC)</strong>
		<code>LhTaPhiascwDqhQaZoh4XqyfJ6ro3jjaGM</code>
	</p>
	<hr>
	<i class="cc DOGE-alt"></i>
	<p>
		<strong>Dogecoin (DOGE)</strong>
		<code>DScWDhcrRoLn7zGQhdem7N6mknvVMzkZLd</code>
	</p>
	<hr>
	<i class="cc BNB"></i>
	<p>
		<strong>Binance Coin (BNB)</strong>
		<code>bnb1dhs3f2nmqq72z04jjxrhw7r6hy9y2p2lprvhr5</code>
	</p>
	<hr>
	<i class="cc ZEC"></i>
	<p>
		<strong>Zcash (ZEC)</strong>
		<code>zs1mzsjmwzqsushayak9e00tzyeurr7z64dn09z2tf647zy7dpfkuz97xa5020qyhl4q3ltcqxj5gl</code>
	</p>
</div>
